Package org.apache.qpid.proton.amqp.security

# Interface SaslFrameBody.SaslFrameBodyHandler<E>

All Known Implementing Classes:
  `SaslImpl`

Enclosing interface:
  SaslFrameBody

public static interface SaslFrameBody.SaslFrameBodyHandler<E>

## Method Summary

Modifier and Type
Method
Description
`void`
`handleChallenge(SaslChallenge saslChallenge, Binary payload, E context)`
`void`
`handleInit(SaslInit saslInit, Binary payload, E context)`
`void`
`handleMechanisms(SaslMechanisms saslMechanisms, Binary payload, E context)`
`void`
`handleOutcome(SaslOutcome saslOutcome, Binary payload, E context)`
`void`
`handleResponse(SaslResponse saslResponse, Binary payload, E context)`

## Method Details

### handleMechanisms

void handleMechanisms(SaslMechanisms saslMechanisms, Binary payload, E context)

### handleInit

void handleInit(SaslInit saslInit, Binary payload, E context)

### handleChallenge

void handleChallenge(SaslChallenge saslChallenge, Binary payload, E context)

### handleResponse

void handleResponse(SaslResponse saslResponse, Binary payload, E context)

### handleOutcome

void handleOutcome(SaslOutcome saslOutcome, Binary payload, E context)